﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace MVVM_WinRTSample
{
    public class ViewModel
    {
        public ViewModel()
        {
            chartSeries = new ChartSeriesCollection();
            datas = new ObservableCollection<Model>();
            datas.Add(new Model() { BrandName = "Timex", Value = 1000 });
            datas.Add(new Model() { BrandName = "Rolex", Value = 5000 });
            datas.Add(new Model() { BrandName = "Titan", Value = 2500 });
            datas.Add(new Model() { BrandName = "Fastrack", Value = 1500 });
            datas.Add(new Model() { BrandName = "Sonata", Value = 1200 });
            datas.Add(new Model() { BrandName = "Maruti", Value = 1800 });
            CreateSeries();

        }
        private void CreateSeries()
        {
            chartSeries = new ChartSeriesCollection();
            
            ColumnSeries series = new ColumnSeries()
            {
                ItemsSource = this.datas,
                XBindingPath = "BrandName",
                YBindingPath = "Value"
            };
            chartSeries.Add(series);
        }

        public ChartSeriesCollection chartSeries { get; set; }

        public ObservableCollection<Model> datas { get; set; }

        private ICommand mSave;
        public ICommand SaveCommand
        {
            get
            {
                if (mSave == null)
                    mSave = new DelegateCommand(this);
                return mSave;
            }
            set
            {
                mSave = value;
            }
        }

    }

    public class DelegateCommand : ICommand
    {
        public ViewModel view { get; set; }


        public DelegateCommand(ViewModel data)
        {
            view = data;
        }

        public bool CanExecute(object parameter)
        {
            return true;
        }

        public event EventHandler CanExecuteChanged;

        public void Execute(object parameter)
        {
            var chart = parameter as SfChart;
            chart.Save();
        }

    }
}